Index: python/aubio/bench/onset.py
===================================================================
--- python/aubio/bench/onset.py	(revision 55ed67a6dbdddc1a12912db6aac3534be698e25f)
+++ python/aubio/bench/onset.py	(revision 5f23f66050fc20497638ca99af3820ef05ddc6df)
@@ -112,5 +112,5 @@
 			gd.append(i['GD']) 
 			fp.append(i['FP']) 
-		d.append(Gnuplot.Data(fp, gd, with='linespoints', 
+		d.append(Gnuplot.Data(fp, gd, with_='linespoints', 
 			title="%s %s" % (plottitle,i['mode']) ))
 
@@ -148,5 +148,5 @@
 			x.append(i['prec']) 
 			y.append(i['recl']) 
-		d.append(Gnuplot.Data(x, y, with='linespoints', 
+		d.append(Gnuplot.Data(x, y, with_='linespoints', 
 			title="%s %s" % (plottitle,i['mode']) ))
 
@@ -173,5 +173,5 @@
 			x.append(i['thres']) 
 			y.append(i['dist']) 
-		d.append(Gnuplot.Data(x, y, with='linespoints', 
+		d.append(Gnuplot.Data(x, y, with_='linespoints', 
 			title="%s %s" % (plottitle,i['mode']) ))
 
@@ -206,5 +206,5 @@
 			x.append(i[var]) 
 			y.append(i['dist']) 
-		d.append(Gnuplot.Data(x, y, with='linespoints', 
+		d.append(Gnuplot.Data(x, y, with_='linespoints', 
 			title="%s %s" % (plottitle,i['mode']) ))
 	
@@ -245,5 +245,5 @@
 		for i in range(len(per)): per[i] /= total/100.
 
-		d.append(Gnuplot.Data(val, per, with='fsteps', 
+		d.append(Gnuplot.Data(val, per, with_='fsteps', 
 			title="%s %s" % (plottitle,v['mode']) ))
 		#d.append('mean=%f,sigma=%f,eps(x) title \"\"'% (mean,smean))
@@ -276,5 +276,5 @@
 		for i in range(len(per)): per[i] /= total/100.
 
-		d.append(Gnuplot.Data(val, per, with='fsteps', 
+		d.append(Gnuplot.Data(val, per, with_='fsteps', 
 			title="%s %s" % (plottitle,v['mode']) ))
 		#d.append('mean=%f,sigma=%f,eps(x) title \"\"'% (mean,smean))
Index: python/aubio/plot/notes.py
===================================================================
--- python/aubio/plot/notes.py	(revision 55ed67a6dbdddc1a12912db6aac3534be698e25f)
+++ python/aubio/plot/notes.py	(revision 5f23f66050fc20497638ca99af3820ef05ddc6df)
@@ -52,5 +52,5 @@
 	        x_widths,                       # x errors
 	        __notesheight*ones(len(la)),    # y errors
-	        title=plot_title,with=('boxxyerrorbars fs 3')))
+	        title=plot_title,with_=('boxxyerrorbars fs 3')))
 	return d
 
@@ -67,5 +67,5 @@
                 x_widths,                       # x errors
                 __notesheight*ones(len(la)-1),  # y errors
-                title=plot_title,with=('boxxyerrorbars fs 3')))
+                title=plot_title,with_=('boxxyerrorbars fs 3')))
         return d
 
Index: python/aubio/task/beat.py
===================================================================
--- python/aubio/task/beat.py	(revision 55ed67a6dbdddc1a12912db6aac3534be698e25f)
+++ python/aubio/task/beat.py	(revision 5f23f66050fc20497638ca99af3820ef05ddc6df)
@@ -248,5 +248,5 @@
 	def plot(self,oplots,results):
 		import Gnuplot
-		oplots.append(Gnuplot.Data(results,with='linespoints',title="auto"))
+		oplots.append(Gnuplot.Data(results,with_='linespoints',title="auto"))
 
 	def plotplot(self,wplot,oplots,outplot=None,extension=None,xsize=1.,ysize=1.,spectro=False):
@@ -259,4 +259,4 @@
 
 		g = gnuplot_create(outplot=outplot, extension=extension)
-		oplots = [Gnuplot.Data(self.gettruth(),with='linespoints',title="orig")] + oplots
+		oplots = [Gnuplot.Data(self.gettruth(),with_='linespoints',title="orig")] + oplots
 		g.plot(*oplots)
Index: python/aubio/task/notes.py
===================================================================
--- python/aubio/task/notes.py	(revision 55ed67a6dbdddc1a12912db6aac3534be698e25f)
+++ python/aubio/task/notes.py	(revision 5f23f66050fc20497638ca99af3820ef05ddc6df)
@@ -95,7 +95,7 @@
 		import Gnuplot
 
-		oplots.append(Gnuplot.Data(now,freq,with='lines',
+		oplots.append(Gnuplot.Data(now,freq,with_='lines',
 			title=self.params.pitchmode))
-		oplots.append(Gnuplot.Data(now,ifreq,with='lines',
+		oplots.append(Gnuplot.Data(now,ifreq,with_='lines',
 			title=self.params.pitchmode))
 
@@ -103,5 +103,5 @@
 		for i in onset:
 			temponsets.append(i*1000)
-		oplots.append(Gnuplot.Data(now,temponsets,with='impulses',
+		oplots.append(Gnuplot.Data(now,temponsets,with_='impulses',
 			title=self.params.pitchmode))
 
@@ -117,8 +117,8 @@
 		#timet,pitcht = self.gettruth()
 		#if timet and pitcht:
-		#	oplots = [Gnuplot.Data(timet,pitcht,with='lines',
+		#	oplots = [Gnuplot.Data(timet,pitcht,with_='lines',
 		#		title='ground truth')] + oplots
 
-		t = Gnuplot.Data(0,0,with='impulses') 
+		t = Gnuplot.Data(0,0,with_='impulses') 
 
 		g = gnuplot_init(outplot)
Index: python/aubio/task/onset.py
===================================================================
--- python/aubio/task/onset.py	(revision 55ed67a6dbdddc1a12912db6aac3534be698e25f)
+++ python/aubio/task/onset.py	(revision 5f23f66050fc20497638ca99af3820ef05ddc6df)
@@ -93,5 +93,5 @@
 		import aubio.txtfile
 		import os.path
-    from numpy import arange, array, ones
+		from numpy import arange, array, ones
 		from aubio.onsetcompare import onset_roc
 
@@ -104,5 +104,5 @@
 		# onset detection function 
 		downtime = arange(len(ofunc))*self.params.step
-		oplot.append(Gnuplot.Data(downtime,ofunc,with='lines',title=self.params.onsetmode))
+		oplot.append(Gnuplot.Data(downtime,ofunc,with_='lines',title=self.params.onsetmode))
 
 		# detected onsets
@@ -115,6 +115,6 @@
 			#y1 = self.maxofunc*ones(len(onsets))
 			if x1:
-				oplot.append(Gnuplot.Data(x1,y1,with='impulses'))
-				wplot.append(Gnuplot.Data(x1,y1p,with='impulses'))
+				oplot.append(Gnuplot.Data(x1,y1,with_='impulses'))
+				wplot.append(Gnuplot.Data(x1,y1p,with_='impulses'))
 
 		oplots.append((oplot,self.params.onsetmode,self.maxofunc))
@@ -129,5 +129,5 @@
 			x2 = array(t_onsets).resize(len(t_onsets))
 			y2 = self.maxofunc*ones(len(t_onsets))
-			wplot.append(Gnuplot.Data(x2,y2,with='impulses'))
+			wplot.append(Gnuplot.Data(x2,y2,with_='impulses'))
 			
 			tol = 0.050 
Index: python/aubio/task/pitch.py
===================================================================
--- python/aubio/task/pitch.py	(revision 55ed67a6dbdddc1a12912db6aac3534be698e25f)
+++ python/aubio/task/pitch.py	(revision 5f23f66050fc20497638ca99af3820ef05ddc6df)
@@ -157,5 +157,5 @@
 		time = [ (i+self.params.pitchdelay)*self.params.step for i in range(len(pitch)) ]
 		pitch = [aubio_freqtomidi(i) for i in pitch]
-		oplots.append(Gnuplot.Data(time,pitch,with='lines',
+		oplots.append(Gnuplot.Data(time,pitch,with_='lines',
 			title=self.params.pitchmode))
 		titles.append(self.params.pitchmode)
@@ -171,5 +171,5 @@
 			timet,pitcht = self.gettruth()
 			if timet and pitcht:
-				oplots = [Gnuplot.Data(timet,pitcht,with='lines',
+				oplots = [Gnuplot.Data(timet,pitcht,with_='lines',
 					title='ground truth')] + oplots
 
Index: python/aubioplot-yinfft
===================================================================
--- python/aubioplot-yinfft	(revision 55ed67a6dbdddc1a12912db6aac3534be698e25f)
+++ python/aubioplot-yinfft	(revision 5f23f66050fc20497638ca99af3820ef05ddc6df)
@@ -74,8 +74,8 @@
   thresh = [0.1 for i in range(params.bufsize/2)]
   #t.append((i/float(params.hopsize)+taskfile.frameread)*params.step),t.pop(0)
-  d = [plotdata(n,a,plottitle="signal", with='lines'),
-    plotdata(n,c,plottitle="d[t]",axes='x1y2', with='lines lt 1'),
-    plotdata(n,y,plottitle="d'[t]",axes='x1y1', with='lines lt 2'),
-    plotdata(n,thresh,plottitle="threshold",axes='x1y1', with='lines lt 3')]
+  d = [plotdata(n,a,plottitle="signal", with_='lines'),
+    plotdata(n,c,plottitle="d[t]",axes='x1y2', with_='lines lt 1'),
+    plotdata(n,y,plottitle="d'[t]",axes='x1y1', with_='lines lt 2'),
+    plotdata(n,thresh,plottitle="threshold",axes='x1y1', with_='lines lt 3')]
   #g('set xrange [%f:%f]' % (t[0],t[-1]))
   #time.sleep(.2)
